import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { TapdReviewConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-08-17 18:32
 */
interface TapdReviewConfigCU extends ConditionUtil<TapdReviewConfigCU> {
    ID: FieldUtil<TapdReviewConfigCU>;
    ENV: FieldUtil<TapdReviewConfigCU>;
    FILE_NAME: FieldUtil<TapdReviewConfigCU>;
    FILE_PATH: FieldUtil<TapdReviewConfigCU>;
    CONFIG: FieldUtil<TapdReviewConfigCU>;
    TAPD_ID: FieldUtil<TapdReviewConfigCU>;
    CREATE_TIME: FieldUtil<TapdReviewConfigCU>;
    UPDATE_TIME: FieldUtil<TapdReviewConfigCU>;
}
declare class TapdReviewConfigMU extends TableUtilImpl<TapdReviewConfigCU, TapdReviewConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): TapdReviewConfigCU;
    static get ID(): FieldUtil<TapdReviewConfigCU>;
    static get ENV(): FieldUtil<TapdReviewConfigCU>;
    static get FILE_NAME(): FieldUtil<TapdReviewConfigCU>;
    static get FILE_PATH(): FieldUtil<TapdReviewConfigCU>;
    static get CONFIG(): FieldUtil<TapdReviewConfigCU>;
    static get TAPD_ID(): FieldUtil<TapdReviewConfigCU>;
    static get CREATE_TIME(): FieldUtil<TapdReviewConfigCU>;
    static get UPDATE_TIME(): FieldUtil<TapdReviewConfigCU>;
    get ID(): FieldUtil<TapdReviewConfigCU>;
    get ENV(): FieldUtil<TapdReviewConfigCU>;
    get FILE_NAME(): FieldUtil<TapdReviewConfigCU>;
    get FILE_PATH(): FieldUtil<TapdReviewConfigCU>;
    get CONFIG(): FieldUtil<TapdReviewConfigCU>;
    get TAPD_ID(): FieldUtil<TapdReviewConfigCU>;
    get CREATE_TIME(): FieldUtil<TapdReviewConfigCU>;
    get UPDATE_TIME(): FieldUtil<TapdReviewConfigCU>;
}
export { TapdReviewConfigMU, TapdReviewConfigCU };
